<?php
namespace Pinpoint\OneTrust\ViewModel;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\View\Element\Block\ArgumentInterface;
use Magento\Framework\View\Element\Context;
use Magento\Store\Model\ScopeInterface;

class OneTrust implements ArgumentInterface
{
    /**
     * Config settings path to enable module output
     */
    private const XPATH_CONFIG_MODULE_ENABLED = 'onetrust/general/enabled';

    private const XPATH_CONFIG_ONETRUST_SCRIPT = 'onetrust/general/onetrust_script';
    /**
     * @var ScopeConfigInterface
     */
    private ScopeConfigInterface $_scopeConfig;

    /**
     * Constructor
     *
     * @param Context $context
     */
    public function __construct(
        Context $context
    ) {
        $this->_scopeConfig = $context->getScopeConfig();
    }

    /**
     * Check if module is enabled
     *
     * @return bool
     */
    public function isEnabled(): bool
    {
        return (bool)$this->_scopeConfig->getValue(
            self::XPATH_CONFIG_MODULE_ENABLED,
            ScopeInterface::SCOPE_STORE
        );
    }

    /**
     * @return string
     */
    public function getScript(): string
    {
        return $this->_scopeConfig->getValue(
            self::XPATH_CONFIG_ONETRUST_SCRIPT,
            ScopeInterface::SCOPE_STORE
        );
    }
}
